Get Defined Entity Type Behaviors

Get Defined Entity Type Behaviors
Get the Behaviors of the Defined Entity Type.

Retrieve the Behaviors of the specified Defined Entity Type.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/entityTypes/{id}/behaviors
COPY
Path Parameters
string
id
Required

id

Query Parameters
integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Behaviors of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineBehaviors1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "addNode",
            "id": "urn:vcloud:behavior-type:addNode:vendorA:pksContainerCluster:1.0.0:vendorA:containerCluster:1.0.0",
            "ref": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
            "description": "Adds a node to the cluster.\nParameters:\n  clusterId: the ID of the cluster\n  node: The node address\n",
            "execution": {
                "execution": {}
            }
        }
    ]
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/entityTypes/{id}/behaviors?page=value&pageSize=v